<?php 

	$child_care_kindergarten_custom_style = '';

	// Logo Size 
	$child_care_kindergarten_logo_top_padding = get_theme_mod('child_care_kindergarten_logo_top_padding');
	$child_care_kindergarten_logo_bottom_padding = get_theme_mod('child_care_kindergarten_logo_bottom_padding');
	$child_care_kindergarten_logo_left_padding = get_theme_mod('child_care_kindergarten_logo_left_padding');
	$child_care_kindergarten_logo_right_padding = get_theme_mod('child_care_kindergarten_logo_right_padding');

	if( $child_care_kindergarten_logo_top_padding != '' || $child_care_kindergarten_logo_bottom_padding != '' || $child_care_kindergarten_logo_left_padding != '' || $child_care_kindergarten_logo_right_padding != ''){
		$child_care_kindergarten_custom_style .=' .inner-logo {';
			$child_care_kindergarten_custom_style .=' padding-top: '.esc_attr($child_care_kindergarten_logo_top_padding).'px; padding-bottom: '.esc_attr($child_care_kindergarten_logo_bottom_padding).'px; padding-left: '.esc_attr($child_care_kindergarten_logo_left_padding).'px; padding-right: '.esc_attr($child_care_kindergarten_logo_right_padding).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_logo_size = get_theme_mod('child_care_kindergarten_logo_size');
	if( $child_care_kindergarten_logo_size != '' ) {
		if($child_care_kindergarten_logo_size >= 0 && $child_care_kindergarten_logo_size <= 100) {
			$calculated_width = $child_care_kindergarten_logo_size * 3.5;
			$child_care_kindergarten_custom_style .= ' .custom-logo-link img {';
			$child_care_kindergarten_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$child_care_kindergarten_custom_style .= ' }';
		}
	}

	// Feature section padding
	$child_care_kindergarten_feature_section_padding = get_theme_mod('child_care_kindergarten_feature_section_padding');

	if( $child_care_kindergarten_feature_section_padding != ''){
		$child_care_kindergarten_custom_style .=' #feature-section {';
			$child_care_kindergarten_custom_style .=' padding-top: '.esc_attr($child_care_kindergarten_feature_section_padding).'px; padding-bottom: '.esc_attr($child_care_kindergarten_service_section_padding).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	// Site Title Font Size
	$child_care_kindergarten_site_title_fontsize = get_theme_mod('child_care_kindergarten_site_title_fontsize');
	if( $child_care_kindergarten_site_title_fontsize != ''){
		$child_care_kindergarten_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_site_title_fontsize).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	// Site Title Font Size
	$child_care_kindergarten_site_tagline_fontsize = get_theme_mod('child_care_kindergarten_site_tagline_fontsize');
	if( $child_care_kindergarten_site_tagline_fontsize != ''){
		$child_care_kindergarten_custom_style .=' .logo p.site-description {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_site_tagline_fontsize).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	//layout width
	$child_care_kindergarten_boxfull_width = get_theme_mod('child_care_kindergarten_boxfull_width');
	if ($child_care_kindergarten_boxfull_width !== '') {
		switch ($child_care_kindergarten_boxfull_width) {
			case 'container':
				$child_care_kindergarten_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$child_care_kindergarten_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$child_care_kindergarten_dropdown_anim = get_theme_mod('child_care_kindergarten_dropdown_anim');

	if ( $child_care_kindergarten_dropdown_anim != '') {
		$child_care_kindergarten_custom_style .=' .nav-menu ul ul {';
			$child_care_kindergarten_custom_style .=' animation:'.esc_attr($child_care_kindergarten_dropdown_anim).' 1s ease;';
		$child_care_kindergarten_custom_style .=' }';
	}

	// Footer css
	$child_care_kindergarten_copyright_padding = get_theme_mod('child_care_kindergarten_copyright_padding');

	if( $child_care_kindergarten_copyright_padding != ''){
		$child_care_kindergarten_custom_style .=' .site-info {';
			$child_care_kindergarten_custom_style .=' padding-top: '.esc_attr($child_care_kindergarten_copyright_padding).'px; padding-bottom: '.esc_attr($child_care_kindergarten_copyright_padding).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_footer_copy_font_size = get_theme_mod('child_care_kindergarten_footer_copy_font_size');
	if( $child_care_kindergarten_footer_copy_font_size != ''){
		$child_care_kindergarten_custom_style .=' .site-info a, .site-info p {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_footer_copy_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_copyright_color = get_theme_mod('child_care_kindergarten_copyright_color');
	if( $child_care_kindergarten_copyright_color != ''){
		$child_care_kindergarten_custom_style .=' .site-info a, .site-info p {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_copyright_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_copyrightbg_color = get_theme_mod('child_care_kindergarten_copyrightbg_color');
	if( $child_care_kindergarten_copyrightbg_color != ''){
		$child_care_kindergarten_custom_style .=' .copyright {';
			$child_care_kindergarten_custom_style .=' background-color: '.esc_attr($child_care_kindergarten_copyrightbg_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_footer_widgets_color = get_theme_mod('child_care_kindergarten_footer_widgets_color');
	if( $child_care_kindergarten_footer_widgets_color != ''){
		$child_care_kindergarten_custom_style .=' .site-footer h2.widget-title {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_footer_widgets_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_footer_menu_color = get_theme_mod('child_care_kindergarten_footer_menu_color');
	if( $child_care_kindergarten_footer_menu_color != ''){
		$child_care_kindergarten_custom_style .=' widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_footer_menu_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_footerbg_color = get_theme_mod('child_care_kindergarten_footerbg_color');
	if( $child_care_kindergarten_footerbg_color != ''){
		$child_care_kindergarten_custom_style .=' #colophon {';
			$child_care_kindergarten_custom_style .=' background-color: '.esc_attr($child_care_kindergarten_footerbg_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	// Site Title Font Size
	$child_care_kindergarten_slider_hide_show = get_theme_mod('child_care_kindergarten_slider_hide_show',false);
	if( $child_care_kindergarten_slider_hide_show == true){
		$child_care_kindergarten_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$child_care_kindergarten_custom_style .=' display:none;';
		$child_care_kindergarten_custom_style .=' }';
	}

	//Header color
	$child_care_kindergarten_topicon_color = get_theme_mod('child_care_kindergarten_topicon_color');
	if( $child_care_kindergarten_topicon_color != ''){
		$child_care_kindergarten_custom_style .=' .callno i, .mail i {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_topicon_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_toptext_color = get_theme_mod('child_care_kindergarten_toptext_color');
	if( $child_care_kindergarten_toptext_color != ''){
		$child_care_kindergarten_custom_style .=' .callno, .mail {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_toptext_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_social_color = get_theme_mod('child_care_kindergarten_social_color');
	if( $child_care_kindergarten_social_color != ''){
		$child_care_kindergarten_custom_style .=' .social-icons i {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_social_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_menu_color = get_theme_mod('child_care_kindergarten_menu_color');
	if( $child_care_kindergarten_menu_color != ''){
		$child_care_kindergarten_custom_style .=' .nav-menu ul li a {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_menu_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_searchtext_color = get_theme_mod('child_care_kindergarten_searchtext_color');
	if( $child_care_kindergarten_searchtext_color != ''){
		$child_care_kindergarten_custom_style .=' input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_searchtext_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	//Slider css
	$child_care_kindergarten_slider_title_font_size = get_theme_mod('child_care_kindergarten_slider_title_font_size');
	if( $child_care_kindergarten_slider_title_font_size != ''){
		$child_care_kindergarten_custom_style .=' #slider h2 {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_slider_title_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_slider_text_font_size = get_theme_mod('child_care_kindergarten_slider_text_font_size');
	if( $child_care_kindergarten_slider_text_font_size != ''){
		$child_care_kindergarten_custom_style .=' #slider p {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_slider_text_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_slider_title_color = get_theme_mod('child_care_kindergarten_slider_title_color');
	if( $child_care_kindergarten_slider_title_color != ''){
		$child_care_kindergarten_custom_style .=' #slider h2 a {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_slider_title_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_slider_text_color = get_theme_mod('child_care_kindergarten_slider_text_color');
	if( $child_care_kindergarten_slider_text_color != ''){
		$child_care_kindergarten_custom_style .=' #slider p {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_slider_text_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	//feature css
	$child_care_kindergarten_feature_section_title_font_size = get_theme_mod('child_care_kindergarten_feature_section_title_font_size');
	if( $child_care_kindergarten_feature_section_title_font_size != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-head h3 {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_feature_section_title_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_feature_font_size = get_theme_mod('child_care_kindergarten_feature_font_size');
	if( $child_care_kindergarten_feature_font_size != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-box h4 a {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_feature_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_feature_text_font_size = get_theme_mod('child_care_kindergarten_feature_text_font_size');
	if( $child_care_kindergarten_feature_text_font_size != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-box p {';
			$child_care_kindergarten_custom_style .=' font-size: '.esc_attr($child_care_kindergarten_feature_text_font_size).'px;';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_feature_title_color = get_theme_mod('child_care_kindergarten_feature_title_color');
	if( $child_care_kindergarten_feature_title_color != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-head h3 {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_feature_title_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_feature_post_title_color = get_theme_mod('child_care_kindergarten_feature_post_title_color');
	if( $child_care_kindergarten_feature_post_title_color != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-box h4 {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_feature_post_title_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}

	$child_care_kindergarten_feature_post_text_color = get_theme_mod('child_care_kindergarten_feature_post_text_color');
	if( $child_care_kindergarten_feature_post_text_color != ''){
		$child_care_kindergarten_custom_style .=' #feature-section .feature-box p {';
			$child_care_kindergarten_custom_style .=' color: '.esc_attr($child_care_kindergarten_feature_post_text_color).';';
		$child_care_kindergarten_custom_style .=' }';
	}